Resolve Comment Thread

Resolve or unresolve a comment thread. <Note> This endpoint is rate limited to 60 requests per minute per site. </Note> Required scope | `comments:write`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
comment_thread_idstringRequiredformat: "objectid"
Unique identifier for a Comment Thread

Request

Set the resolved state of the comment thread
resolvedbooleanRequired

Set to true to resolve the thread, or false to unresolve it

Response

Request was successful
idstring
Unique identifier for the comment thread
siteIdstring
The site unique identifier
pageIdstring
The page unique identifier
localeIdstring or nullRead-only
The locale unique identifier
itemIdstring or nullRead-only
The item unique identifier
breakpointstring
The breakpoint the comment was left on
urlstring
The URL of the page the comment was left on
contentstring
The content of the comment reply
isResolvedbooleanDefaults to false
Boolean determining if the comment thread is resolved
authorobject
mentionedUserslist of objects
List of mentioned users. This is an empty array until email notifications are sent, which can take up to 5 minutes after the comment is created.
createdOnstringformat: "date-string"
The date the item was created
lastUpdatedstringformat: "date-string"
The date the item was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error